#ifndef Y_PRIMITIVES_HPP
    #define Y_PRIMITIVES_HPP

#include "ytypes.hpp"

extern unsigned char *RowsY[200];

// Mode set functions
void set80x25(void);
void set320x200x256(void);

// Waits for vertical retrace
void wait_for_retrace(void);

// Screen clearing functions
void clear(BYTE color);

// Drawing functions
void putpixel(COORD x, COORD y, BYTE color);
BYTE getpixel(COORD x, COORD y);
void box(COORD x1, COORD y1, COORD x2, COORD y2, BYTE color);
void filledbox(COORD x1, COORD y1, COORD x2, COORD y2, BYTE color);
void circle(COORD x, COORD y, DIST r, BYTE color);
void filledcircle(COORD x, COORD y, DIST r, BYTE color);
void line(COORD lx1, COORD ly1, COORD lx2, COORD ly2, BYTE color);

// Text output functions ** all of these
int  loadfont(char *fname);
void putch(COORD x, COORD y, char c, BYTE color);
void putstring(COORD x, COORD y, char *str, BYTE color);

#endif

